Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record
Class DefaultRowHeightRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.DefaultRowHeightRecord

    public final class DefaultRowHeightRecord

extends StandardRecord

Title: Default Row Height Record Description: Row height for rows with undefined or not explicitly defined heights. REFERENCE: PG 301 Microsoft Excel 97 Developer's Kit (ISBN: 1-57231-498-2)

Version:
  2.0-pre
Author:
  Andrew C. Oliver (acoliver at apache dot org), Jason Height (jheight at chariot dot net dot au)

Field Summary
`static short` | `DEFAULT_ROW_HEIGHT` The default row height for empty rows is 255 twips (255 / 20 == 12.75 points)
`static short` | `sid`

Constructor Summary
`DefaultRowHeightRecord()`
`DefaultRowHeightRecord(RecordInputStream in)`

Method Summary
`java.lang.Object` | `clone()`
`short` | `getOptionFlags()` get the (currently unimportant to HSSF) option flags
`short` | `getRowHeight()` get the default row height
`short` | `getSid()` return the non static version of the id for this record.
`void` | `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
`void` | `setOptionFlags(short flags)` set the (currently unimportant to HSSF) option flags
`void` | `setRowHeight(short height)` set the default row height
`java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

### DEFAULT_ROW_HEIGHT

    public static final short DEFAULT_ROW_HEIGHT

  The default row height for empty rows is 255 twips (255 / 20 == 12.75 points)

  See Also:
    Constant Field Values

Constructor Detail

### DefaultRowHeightRecord

    public DefaultRowHeightRecord()

### DefaultRowHeightRecord

    public DefaultRowHeightRecord(RecordInputStream in)

Method Detail

### setOptionFlags

    public void setOptionFlags(short flags)

  set the (currently unimportant to HSSF) option flags

  Parameters:
    `flags` - the bitmask to set

### setRowHeight

    public void setRowHeight(short height)

  set the default row height

  Parameters:
    `height` - for undefined rows/rows w/undefined height

### getOptionFlags

    public short getOptionFlags()

  get the (currently unimportant to HSSF) option flags

  Returns:
    flags - the current bitmask

### getRowHeight

    public short getRowHeight()

  get the default row height

  Returns:
    rowheight for undefined rows/rows w/undefined height

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public void serialize(LittleEndianOutput out)

  Description copied from class: `StandardRecord`
  Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.
  The number of bytes written must equal the record size reported by `RecordBase.getRecordSize()`} minus four ( record header consiting of a 'ushort sid' and 'ushort reclength' has already been written by thye superclass).

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD